VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
ConfigValue Struct Reference
Standalone Library

Configuration Value. More...

## Public Types
enum | Type { Unknown, Integer, String }

## Public Member Functions
| ConfigValue ()=delete
constexpr | ConfigValue (int64_t v)
constexpr | ConfigValue (const char *s)

## Public Attributes
enum VSTGUI::Standalone::Application::ConfigValue::Type | type = Type::Unknown
union {
int64_t integer
const char * string
} | value = {}

## Detailed Description

Configuration Value.

## Member Enumeration Documentation

enum Type

Enumerator
Unknown |
Integer |
String |

## Constructor & Destructor Documentation

ConfigValue | ( |  | ) |
| delete

constexpr ConfigValue | ( | int64_t | v | ) |
| inline

constexpr ConfigValue | ( | const char * | s | ) |
| inline

## Member Data Documentation

int64_t integer

const char* string

enum VSTGUI::Standalone::Application::ConfigValue::Type type = Type::Unknown

union { ... } value

The documentation for this struct was generated from the following file:

- appinit.h